body {
  background: #ffffff;
}
a {
  color: #999;
}
.mask {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 101;
  display: none;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
}
.ymh-guide-color-red {
  color: #ff5050;
}
.ymh-guide-footer {
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex: 0 auto;
  flex: 1;
}
.ymh-guide-footer > p {
  color: #999999;
}
.ymh-guide-footer > div {
  display: flex;
  /* flex: 1; */
  align-items: flex-end;
}
.ymh-guide-footer > div > div {
  display: flex;
  margin: 0 10px;
  line-height: 50px;
  font-size: 12px;
  flex-direction: row;
  align-items: center;
}

/* .ymh-guide-footer > div > div a {
  color: #999999;
} */

.ymh-guide-footer > div.ymh-guide-button > div {
  display: block;
  margin: 0 0 15px;
}
/* .ymh-guide-footer > div.ymh-guide-button > div a{
  color: #ffffff;
} */
.ymh-guide-footer > div > div > img {
  display: block;
  margin-right: 5px;
  width: 16px;
  height: 16px;
}
.ymh-guide-footer > div > div.ymh-guide-wx {
  display: block;
  width: 230px;
  height: 230px;
  margin: 0 auto;
}
.ymh-guide-footer > div > div.ymh-guide-wx > img {
  display: block;
  width: 100%;
  height: 100%;
}
.ymh-guide-button > div > a:last-child {
  margin-bottom: 0;
}
.ymh-guide {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.ymh-guide-body {
  padding: 30px;
}

.ymh-guide-img {
  margin-bottom: 20px;
}

.ymh-guide-img > img {
  display: block;
  margin: 0 auto;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.1);
  border-radius: 4px;
  /* height: 100%; */ /*这个height100会导致ios设备图片显示错误，如果需要打开请测试ios*/
}
.ymh-guide-download > img {
  display: block;
  width: 100px;
  height: 100px;
  margin: 50px auto 15px;
  border-radius: 10px;
}
.ymh-guide-download > p {
  margin-bottom: 60px;
  text-align: center;
  font-size: 20px;
  color: #333333;
}
.ymh-guide-download > span {
  display: block;
  margin: 30px auto 0;
  margin-top: 30px;
  font-size: 14px;
  color: #333333;
  text-align: center;
}
.ymh-guide-download > span > span {
  display: block;
}
.btn-guide-download {
  display: block;
  width: 200px;
  height: 50px;
  margin: 0 auto;
  line-height: 50px;
  text-align: center;
  font-size: 16px;
  color: #666666;
  border-radius: 10px;
  background: #f2f2f2;
}

.ymh-guide-product-tit {
  margin-bottom: 30px;
  text-align: center;
  font-size: 18px;
  color: #333333;
  font-weight: 500;
}

.ymh-guide-step {
  margin-bottom: 15px;
  border-top: 1px dashed #ff5050;
}

.ymh-guide-step > p {
  width: 80px;
  height: 24px;
  margin: -11px auto 0;
  line-height: 24px;
  text-align: center;
  color: #ff5050;
  background: #ffeded;
  border-radius: 21px;
  transform: scale(0.9);
}
.ymh-guide-steplist > div {
  display: flex;
  align-items: flex-start;
}
.ymh-guide-steplist > div > font {
  display: inline-block;
  width: 16px;
  height: 16px;
  line-height: 16px;
  margin-top: 3px;
  margin-right: 5px;
  text-align: center;
  background: #ff5050;
  color: #ffffff;
  border-radius: 50%;
}
.ymh-guide-steplist > div > span {
  flex: 1;
  color: #ff5050;
  font-size: 14px;
}
.ymh-guide-text {
  text-align: center;
  color: #ff5050;
  font-size: 16px;
}
.ymh-guide-button {
  position: relative;
  padding: 0 30px;
  flex-direction: column;
  width: 100%;
}
.ymh-guide-footer .ymh-guide-button {
  flex: 1;
  align-items: unset;
}
.ymh-guide-button > p {
  position: absolute;
  top: -30px;
  left: 50%;
  font-size: 14px;
  color: #ff5050;
  transform: translateX(-50%);
}
.btn-guide-warning,
.btn-guide-cancel,
.btn-guide-normal,
.btn-guide-empty {
  display: block;
  width: 100%;
  height: 44px;
  margin-bottom: 16px;
  line-height: 44px;
  border-radius: 4px;
  text-align: center;
  font-size: 15px;
}
.btn-guide-normal {
  color: #ffffff;
  background: #4461bd;
}
.btn-guide-empty {
  border: 1px solid #e3e4e4;
  color: #7e8185;
}
.btn-guide-cancel {
  color: #ffffff;
  background: #bdbdbd;
}
.btn-guide-warning {
  color: #ffffff;
  background: #ff5050;
}
.ymh-active-success > p,
.ymh-active-erro > p {
  color: #333333;
  font-size: 18px;
  text-align: center;
}
.ymh-active-success .icon-active-success,
.ymh-active-erro .icon-active-erro {
  display: block;
  margin-top: 36px;
  font-size: 100px;
  text-align: center;
}
.ymh-active-success > p,
.ymh-active-erro > p {
  margin-top: 12px;
}
.ymh-guide-editor {
  margin: 25px 15px 0;
  height: calc(100vh - 345px);
  overflow: hidden;
  overflow-y: auto;
}
.all .ymh-guide-editor {
  height: calc(100vh - 365px);
}
.ymh-guide-back {
  position: absolute;
  left: 50%;
  bottom: 120px;
  text-align: center;
  transform: translate(-50%);
}
.ymh-guide-back .icon-active-close {
  font-size: 40px;
}
.ymh-guide-go {
  position: absolute;
  left: 50%;
  bottom: 40px;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  background: #f2f2f2;
  transform: translate(-50%);
  cursor: pointer;
}
.all .ymh-guide-go {
  bottom: 20px;
}
.ymh-guide-follow {
  position: absolute;
  left: 50%;
  bottom: 40px;
  border-radius: 35px;
  height: 35px;
  background: #f5a623;
  transform: translate(-50%);
  font-size: 14px;
  padding: 0 32px;
  max-width: 285px;
}
.all .ymh-guide-follow {
  bottom: 80px;
}
.ymh-guide-follow p {
  width: 100%;
  height: 100%;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  overflow: hidden;
  cursor: pointer;
}
.icon-active-in {
  display: flex;
  width: 100%;
  height: 100%;
}
.icon-active-in::before {
  content: "\e91b";
  margin: auto;
  color: #999999;
}
.ymh-guide-loading {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: #ffffff;
}
.ymh-guide-loading > p {
  margin-top: 12px;
  font-size: 18px;
  text-align: center;
  color: #333333;
}
.ymh-guide-loading .loading {
  display: flex;
  width: 100px;
  height: 100px;
  margin: 66px auto 0;
}

.ymh-guide-loading .spinner {
  position: relative;
  width: 50px;
  height: 50px;
  margin: auto;
}

.ymh-guide-qrcode {
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 102;
  display: none;
  width: 270px;
  height: 305px;
  text-align: center;
  border-radius: 20px;
  background-color: #fff;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%); /* IE 9 */
  -moz-transform: translate(-50%, -50%); /* Firefox */
  -webkit-transform: translate(-50%, -50%); /* Safari 和 Chrome */
  -o-transform: translate(-50%, -50%); /* Opera */
  box-shadow: 0px 0px 5px 1px rgba(203, 212, 230, 0.4);
  -moz-box-shadow: 0px 0px 5px 1px rgba(203, 212, 230, 0.4);
  -webkit-box-shadow: 0px 0px 5px 1px rgba(203, 212, 230, 0.4);
}

.ymh-guide-qrcode-title {
  font-size: 16px;
  color: #2951a3;
  padding: 45px 0 10px;
}

.ymh-guide-qrcode-img {
  display: inline-block;
}

.container1 > div,
.container2 > div,
.container3 > div {
  width: 10px;
  height: 10px;
  background-color: #4461bd;

  border-radius: 100%;
  position: absolute;
  -webkit-animation: bouncedelay 1.2s infinite ease-in-out;
  animation: bouncedelay 1.2s infinite ease-in-out;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

.spinner .spinner-container {
  position: absolute;
  width: 100%;
  height: 100%;
}

.container2 {
  -webkit-transform: rotateZ(45deg);
  transform: rotateZ(45deg);
}

.container3 {
  -webkit-transform: rotateZ(90deg);
  transform: rotateZ(90deg);
}

.circle1 {
  top: 0;
  left: 0;
}
.circle2 {
  top: 0;
  right: 0;
}
.circle3 {
  right: 0;
  bottom: 0;
}
.circle4 {
  left: 0;
  bottom: 0;
}

.container2 .circle1 {
  -webkit-animation-delay: -1.1s;
  animation-delay: -1.1s;
}

.container3 .circle1 {
  -webkit-animation-delay: -1s;
  animation-delay: -1s;
}

.container1 .circle2 {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s;
}

.container2 .circle2 {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s;
}

.container3 .circle2 {
  -webkit-animation-delay: -0.7s;
  animation-delay: -0.7s;
}

.container1 .circle3 {
  -webkit-animation-delay: -0.6s;
  animation-delay: -0.6s;
}

.container2 .circle3 {
  -webkit-animation-delay: -0.5s;
  animation-delay: -0.5s;
}

.container3 .circle3 {
  -webkit-animation-delay: -0.4s;
  animation-delay: -0.4s;
}

.container1 .circle4 {
  -webkit-animation-delay: -0.3s;
  animation-delay: -0.3s;
}

.container2 .circle4 {
  -webkit-animation-delay: -0.2s;
  animation-delay: -0.2s;
}

.container3 .circle4 {
  -webkit-animation-delay: -0.1s;
  animation-delay: -0.1s;
}

@-webkit-keyframes bouncedelay {
  0%,
  80%,
  100% {
    -webkit-transform: scale(0);
  }
  40% {
    -webkit-transform: scale(1);
  }
}

@keyframes bouncedelay {
  0%,
  80%,
  100% {
    transform: scale(0);
    -webkit-transform: scale(0);
  }
  40% {
    transform: scale(1);
    -webkit-transform: scale(1);
  }
}

.ymh-guide-info {
  font-size: 16px;
  color: rgba(0, 0, 0, 0.8);
  line-height: 22px;
  margin-bottom: 10px;
  flex: 1;
}
.ymh-guide-info p {
  display: flex;
  align-items: center;
}
.ymh-guide-info img {
  width: 15px;
  margin-right: 4px;
}

.ymh-guide-dialog-mask {
  position: fixed;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.7);
  z-index: 1;
  display: none;
}

.ymh-guide-dialog {
  position: fixed;
  width: calc(100vw - 40px);
  height: 160px;
  left: 20px;
  top: calc(50vh - 80px);
  z-index: 2;
  background: #fff;
  border-radius: 16px;
  font-size: 16px;
  line-height: 1.5;
  display: none;
}
.ymh-guide-dialog-title {
  padding-top: 24px;
  text-align: center;
}
.ymh-guide-dialog-content {
  padding: 8px 24px 24px;
}
.ymh-guide-dialog-content input {
  border-radius: 4px;
  background: #f9fbf9;
  width: 100%;
  height: 40px;
  padding: 0 8px;
}
.ymh-guide-dialog-button {
  display: flex;
  border-top: 1px solid #eee;
  height: 40px;
}
.ymh-guide-dialog-button p {
  flex: 1;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.ymh-guide-dialog-button p:first-child {
  border-right: 1px solid #eee;
}
.ymh-guide-dialog-button p:nth-child(2) {
  color: #1989fa;
}

.ymh-guide-dialog-error {
  position: fixed;
  width: calc(100vw - 40px);
  height: 160px;
  left: 20px;
  top: calc(50vh - 80px);
  z-index: 2;
  background: #fff;
  border-radius: 16px;
  font-size: 16px;
  line-height: 1.5;
  display: none;
}
.ymh-guide-dialog-error-title {
  padding-top: 48px;
  text-align: center;
}
.ymh-guide-dialog-error-content {
  padding: 8px 24px 24px;
  text-align: center;
}
.ymh-guide-dialog-error-content input {
  border-radius: 4px;
  background: #f9fbf9;
  width: 100%;
  height: 40px;
  padding: 0 8px;
}
.ymh-guide-dialog-error-button {
  display: flex;
  border-top: 1px solid #eee;
  height: 40px;
}
.ymh-guide-dialog-error-button p {
  flex: 1;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.ymh-guide-dialog-error-button p:first-child {
  color: #1989fa;
}

.ymh-guide-dialog-content {
  position: relative;
}
.ymh-guide-dialog-content-error {
  position: absolute;
  top: 48px;
  left: 28px;
  font-size: 14px;
  color: red;
  display: none;
}
.ymh-guide-yiwen {
  flex-direction: column;
  align-items: center !important;
  padding: 0 20px;
}
.ymh-guide-yiwen-column1 {
  font-weight: 600;
  font-size: 16px !important;
  color: #333333;
  line-height: 24px !important;
  padding: 12px 0;
}
.ymh-guide-yiwen-column2 {
  font-weight: 400;
  font-size: 14px !important;
  color: #6b6b6b;
  line-height: 21px !important;
  margin-bottom: 6px !important;
  display: flex;
  align-items: flex-start !important;
}
.ymh-guide-yiwen-column3 {
  font-weight: 400;
  font-size: 14px !important;
  color: #6b6b6b;
  line-height: 21px !important;
  margin-bottom: 6px !important;
  display: flex;
  align-items: flex-start !important;
}
